API Documentation |
IntBlock

Package | org.alivepdf.encoding
Class | public class IntBlock
Inheritance | IntBlock Object

Public Properties

| Property | Defined By
--- | --- | ---
|  | data : int | IntBlock
|  | down : IntBlock | IntBlock
|  | next : IntBlock | IntBlock

Public Methods

| Method | Defined By
--- | --- | ---
|  | IntBlock(dt:int, nx:IntBlock, dn:IntBlock) | IntBlock
|  | create8_8(arr:Array):IntBlock [static] | IntBlock

Property Detail

data | property

`public var data:int`

down | property |

`public var down:IntBlock`

next | property |

`public var next:IntBlock`

Constructor Detail

IntBlock | () | Constructor

`public function IntBlock(dt:int, nx:IntBlock, dn:IntBlock)`

Parameters

| `dt:int`
| `nx:IntBlock`
| `dn:IntBlock`

Method Detail

create8_8 | () | method

`public static function create8_8(arr:Array):IntBlock`

Parameters

| `arr:Array`

Returns

| `IntBlock`

Mon Oct 17 2011, 09:13 PM -04:00